import java.awt.*;

public class MenuBarTest {
	public MenuBarTest(){
	  Frame frame = new Frame();
	  MenuBar bar = new MenuBar();
	  Menu fileMenu, subMenu, helpMenu;

	  frame.setMenuBar(bar); //把菜单条加入到窗体中

	  subMenu=new Menu("next ...");
	  subMenu.add(new MenuItem("sub 1")); //创建子菜单项
	  subMenu.add(new MenuItem("sub 2"));

		//创建并组装菜单
		fileMenu = new Menu("文件");
		fileMenu.add(new MenuItem("新建"));
		fileMenu.add(new MenuItem("打开"));

		fileMenu.addSeparator();//添加分隔线

		fileMenu.add(new CheckboxMenuItem("打印预览"));

		fileMenu.add(subMenu);//加入子菜单

		bar.add(fileMenu);//把菜单加入到菜单条

		//创建帮助菜单
		helpMenu = new Menu("帮助");
		helpMenu.add(new MenuItem("帮助 1"));

		bar.setHelpMenu(helpMenu);//注意与 26 行的方法不同

		frame.setSize(400,400);
		frame.setVisible(true);
	}

	public static void main(String[] args){
		new MenuBarTest();	
	}
}
